/* -*- c-file-style: "k&r"; -*-
 *
 * $Id: keyring.h,v 1.1 2001/03/27 16:23:08 mbp Exp $
 * 
 * GNU Keyring -- store passwords securely on a handheld
 * Copyright (C) 1999, 2000, 2001 Martin Pool <mbp@sourcefrog.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/*
 * Unpacked form of a record.
 */
typedef struct {
     char       *name, *acct, *passwd, *notes;
     int        category;
     int        attr;
     int        idx;
} keyring_record_t;

void keyring_print_record(FILE *f, const keyring_record_t *rec);
